# Fetch bill rate

Returns the matching accessible bill rate.

Endpoint: GET /bill_rates/{bill_rate_id}
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `bill_rate_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

## Response 200 fields (application/json):

  - `id` (integer)
    The unique identifier for the bill rate.
    Example: 991618

  - `discipline_id` (integer,null)
    If set to a discipline ID, this bill rate is a discipline-specific bill rate.

This can only be set via the Resource Management application UI.

  - `role_id` (integer,null)
    If set to a role ID, this bill rate is a role-specific bill rate.

This can only be set via the Resource Management application UI.
    Example: 30

  - `assignable_id` (integer,null)
    The ID of the project or phase to which the the bill rate applies.

> Note: Account-specific bill rates don't have an assignable_id value.
    Example: 1234

  - `user_id` (integer,null)
    The ID of a user to which the the bill rate applies.
    Example: 1001

  - `rate` (number)
    The cost value.
    Example: 100

  - `starts_at` (string,null)
    This user bill rate date indicates the rate's effective start date.

Note: This parameter is only applicable to user bill rates.
    Example: "2025-09-17"

  - `ends_at` (string,null)
    This user bill rate date indicates the rate's effective end date.

Note: This parameter is only applicable to user bill rates.
    Example: "2025-12-17"

  - `created_at` (string)
    The bill rate's creation timestamp.
    Example: "2025-01-22T06:00:30Z"

  - `updated_at` (string)
    The timestamp of the bill rate's last update.
    Example: "2025-01-22T06:13:40Z"


